## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Created by pyp2rpm-3.3.4
Name:           python-zoidberg
Version:        0.2.1
Release:        %{autorelease}
Summary:        A Flux-Coordinate Independent (FCI) Grid Generator for BOUT++

License:        LGPL-3.0-or-later
URL:            http://boutproject.github.io
Source0:        %{pypi_source zoidberg}
BuildArch:      noarch

Patch:          https://github.com/boutproject/zoidberg/pull/38.patch#./version.patch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-pytest

%description
A Flux-Coordinate Independent (FCI) Grid Generator for BOUT++

%package -n     python3-zoidberg
Summary:        %{summary}

%description -n python3-zoidberg
A Flux-Coordinate Independent (FCI) Grid Generator for BOUT++

%generate_buildrequires
%pyproject_buildrequires -r


%prep
%autosetup -n zoidberg-%{version} -p 1
# Remove bundled egg-info
rm -rf zoidberg.egg-info


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files zoidberg


%check
# Workaround for https://bugzilla.redhat.com/show_bug.cgi?id=1997717
export HDF5_USE_FILE_LOCKING=FALSE
%pytest


%files -n python3-zoidberg -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/zoidberg-*


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Dec 28 2024 Antonio Trande <sagitter@fedoraproject.org> - 0.2.1-2
- Rebuild for sundials-7.1.1

* Sat Dec 28 2024 David Bold <dave@ipp.mpg.de> - 0.2.1-1
- Update to 0.2.1

* Wed Oct 09 2024 David Bold <dave@ipp.mpg.de> - 0.1.1-8
- Add patch for new scipy

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 10 2024 Python Maint <python-maint@redhat.com> - 0.1.1-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 30 2023 Python Maint <python-maint@redhat.com> - 0.1.1-2
- Rebuilt for Python 3.12

* Wed Apr 12 2023 David Bold <dave@ipp.mpg.de> - 0.1.1-1
- Initial Package
## END: Generated by rpmautospec
